diff -rupN arpack++1.2.orig/examples/product/complex/compgsol.h arpack++1.2.patched/examples/product/complex/compgsol.h
--- arpack++1.2.orig/examples/product/complex/compgsol.h	2000-02-21 20:52:13.000000000 +0100
+++ arpack++1.2.patched/examples/product/complex/compgsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -19,7 +19,7 @@
 #define COMPGSOL_H
 
 #include "arcomp.h"
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "matprod.h"
@@ -29,7 +29,7 @@ template<class MATRA, class MATRB, class
 void Solution(MATRA &A, MATRB &B, ARCompGenEig<ARFLOAT, ARFOP, ARFB> &Prob)
 /*
   Prints eigenvalues and eigenvectors of complex generalized
-  eigen-problems on standard "cout" stream.
+  eigen-problems on standard "std::cout" stream.
 */
 
 {
@@ -43,32 +43,32 @@ void Solution(MATRA &A, MATRB &B, ARComp
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARCompGenEig" << endl;
-  cout << "Complex generalized eigenvalue problem: A*x - lambda*B*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARCompGenEig" << std::endl;
+  std::cout << "Complex generalized eigenvalue problem: A*x - lambda*B*x" << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -89,10 +89,10 @@ void Solution(MATRA &A, MATRB &B, ARComp
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*B*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*B*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/product/complex/compsol.h arpack++1.2.patched/examples/product/complex/compsol.h
--- arpack++1.2.orig/examples/product/complex/compsol.h	2000-02-21 20:51:37.000000000 +0100
+++ arpack++1.2.patched/examples/product/complex/compsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -19,7 +19,7 @@
 #define COMPSOL_H
 
 #include "arcomp.h"
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "matprod.h"
@@ -29,7 +29,7 @@ template<class ARMATRIX, class ARFLOAT>
 void Solution(ARMATRIX &A, ARCompStdEig<ARFLOAT, ARMATRIX> &Prob)
 /*
   Prints eigenvalues and eigenvectors of complex eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -42,32 +42,32 @@ void Solution(ARMATRIX &A, ARCompStdEig<
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARCompStdEig \n";
-  cout << "Complex eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARCompStdEig \n";
+  std::cout << "Complex eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -86,10 +86,10 @@ void Solution(ARMATRIX &A, ARCompStdEig<
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
diff -rupN arpack++1.2.orig/examples/product/complex/Makefile arpack++1.2.patched/examples/product/complex/Makefile
--- arpack++1.2.orig/examples/product/complex/Makefile	2000-02-18 20:11:19.000000000 +0100
+++ arpack++1.2.patched/examples/product/complex/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -33,7 +33,7 @@ compgshf:       compgshf.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core compgreg compgshf compreg compshf
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/product/nonsym/Makefile arpack++1.2.patched/examples/product/nonsym/Makefile
--- arpack++1.2.orig/examples/product/nonsym/Makefile	2000-02-18 20:02:44.000000000 +0100
+++ arpack++1.2.patched/examples/product/nonsym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -44,7 +44,7 @@ svd:	svd.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core nsymgreg nsymgsci nsymgscr nsymgshf nsymreg nsymshf svd
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/product/nonsym/nsymgsol.h arpack++1.2.patched/examples/product/nonsym/nsymgsol.h
--- arpack++1.2.orig/examples/product/nonsym/nsymgsol.h	2000-02-21 20:46:05.000000000 +0100
+++ arpack++1.2.patched/examples/product/nonsym/nsymgsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef NSYMGSOL_H
 #define NSYMGSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "matprod.h"
@@ -28,7 +28,7 @@ template<class MATRA, class MATRB, class
 void Solution(MATRA &A, MATRB &B, ARNonSymGenEig<ARFLOAT, ARFOP, ARFB> &Prob)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric generalized
-  eigen-problems on standard "cout" stream.
+  eigen-problems on standard "std::cout" stream.
 */
 
 {
@@ -42,43 +42,43 @@ void Solution(MATRA &A, MATRB &B, ARNonS
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARNonSymGenEig" << endl;
-  cout << "Real nonsymmetric generalized eigenvalue problem: A*x - lambda*B*x";
-  cout << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARNonSymGenEig" << std::endl;
+  std::cout << "Real nonsymmetric generalized eigenvalue problem: A*x - lambda*B*x";
+  std::cout << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl;
+    std::cout << "Regular mode" << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode (using real part of OP)" << endl;
+    std::cout << "Shift and invert mode (using real part of OP)" << std::endl;
     break;
   case 4:
-    cout << "Shift and invert mode (using imaginary part of OP)" << endl;
+    std::cout << "Shift and invert mode (using imaginary part of OP)" << std::endl;
   }
-  cout << endl;
+  std::cout << std::endl;
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
       if (Prob.EigenvalueImag(i)>=0.0) {
-        cout << " + " << Prob.EigenvalueImag(i) << " I" << endl;
+        std::cout << " + " << Prob.EigenvalueImag(i) << " I" << std::endl;
       }
       else {
-        cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << endl;
+        std::cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << std::endl;
       }
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -121,10 +121,10 @@ void Solution(MATRA &A, MATRB &B, ARNonS
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << i << ") - lambda(" << i;
-      cout << ")*B*x(" << i << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << i << ") - lambda(" << i;
+      std::cout << ")*B*x(" << i << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/product/nonsym/nsymsol.h arpack++1.2.patched/examples/product/nonsym/nsymsol.h
--- arpack++1.2.orig/examples/product/nonsym/nsymsol.h	2000-02-21 20:46:37.000000000 +0100
+++ arpack++1.2.patched/examples/product/nonsym/nsymsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef NSYMSOL_H
 #define NSYMSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "matprod.h"
@@ -28,7 +28,7 @@ template<class ARMATRIX, class ARFLOAT>
 void Solution(ARMATRIX &A, ARNonSymStdEig<ARFLOAT, ARMATRIX> &Prob)
 /*
   Prints eigenvalues and eigenvectors of nonsymmetric eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -41,38 +41,38 @@ void Solution(ARMATRIX &A, ARNonSymStdEi
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARNonSymStdEig \n";
-  cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARNonSymStdEig \n";
+  std::cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n             << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev() << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv         << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv() << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n             << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev() << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv         << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv() << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.EigenvalueReal(i);
       if (Prob.EigenvalueImag(i)>=0.0) {
-        cout << " + " << Prob.EigenvalueImag(i) << " I" << endl;
+        std::cout << " + " << Prob.EigenvalueImag(i) << " I" << std::endl;
       }
       else {
-        cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << endl;
+        std::cout << " - " << fabs(Prob.EigenvalueImag(i)) << " I" << std::endl;
       }
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -110,10 +110,10 @@ void Solution(ARMATRIX &A, ARNonSymStdEi
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
diff -rupN arpack++1.2.orig/examples/product/nonsym/nsymvsol.h arpack++1.2.patched/examples/product/nonsym/nsymvsol.h
--- arpack++1.2.orig/examples/product/nonsym/nsymvsol.h	2000-02-21 20:45:21.000000000 +0100
+++ arpack++1.2.patched/examples/product/nonsym/nsymvsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -19,7 +19,7 @@
 #ifndef NSYMVSOL_H
 #define NSYMVSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "matprod.h"
@@ -29,7 +29,7 @@ template<class ARMATRIX, class ARFLOAT>
 void Solution(ARMATRIX &A, ARNonSymStdEig<ARFLOAT, ARMATRIX> &Prob)
 /*
   Prints singular values and singular vectors of nonsymmetric 
-  real matrices on standard "cout" stream.
+  real matrices on standard "std::cout" stream.
 */
 
 {
@@ -44,15 +44,15 @@ void Solution(ARMATRIX &A, ARNonSymStdEi
   m     = A.nrows();
   nconv = Prob.ConvergedEigenvalues();
 
-  cout << endl << endl << "Testing ARPACK++ class ARNonSymStdEig \n";
-  cout << "Singular value decomposition problem: (A'*A)*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARNonSymStdEig \n";
+  std::cout << "Singular value decomposition problem: (A'*A)*x - lambda*x" << std::endl;
 
-  cout << "Dimension of the system              : " << n             << endl;
-  cout << "Number of 'requested' singular values: " << Prob.GetNev() << endl;
-  cout << "Number of 'converged' singular values: " << nconv         << endl;
-  cout << "Number of Arnoldi vectors generated  : " << Prob.GetNcv() << endl;
-  cout << "Number of iterations taken           : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system              : " << n             << std::endl;
+  std::cout << "Number of 'requested' singular values: " << Prob.GetNev() << std::endl;
+  std::cout << "Number of 'converged' singular values: " << nconv         << std::endl;
+  std::cout << "Number of Arnoldi vectors generated  : " << Prob.GetNcv() << std::endl;
+  std::cout << "Number of iterations taken           : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   value = new ARFLOAT[nconv];
   Ax    = new ARFLOAT[m];
@@ -62,12 +62,12 @@ void Solution(ARMATRIX &A, ARNonSymStdEi
 
     // Printing singular values.
 
-    cout << "Singular values:" << endl;
+    std::cout << "Singular values:" << std::endl;
     for (i=0; i<nconv; i++) {
       value[i] = sqrt(Prob.EigenvalueReal(i));
-      cout << "  sigma[" << (i+1) << "]: " << value[i] << endl;
+      std::cout << "  sigma[" << (i+1) << "]: " << value[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -91,8 +91,8 @@ void Solution(ARMATRIX &A, ARNonSymStdEi
 
       // Printing the norm.
 
-      cout << "||A*v(" << (i+1) << ") - sigma(" << (i+1);
-      cout << ")*u(" << (i+1) << ")||: " << ResNorm << endl;
+      std::cout << "||A*v(" << (i+1) << ") - sigma(" << (i+1);
+      std::cout << ")*u(" << (i+1) << ")||: " << ResNorm << std::endl;
     }
 
   }
diff -rupN arpack++1.2.orig/examples/product/simple/Makefile arpack++1.2.patched/examples/product/simple/Makefile
--- arpack++1.2.orig/examples/product/simple/Makefile	2000-02-18 19:43:27.000000000 +0100
+++ arpack++1.2.patched/examples/product/simple/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -19,7 +19,7 @@ symsimp: 	symsimp.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core symsimp
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/product/simple/symsimp.cc arpack++1.2.patched/examples/product/simple/symsimp.cc
--- arpack++1.2.orig/examples/product/simple/symsimp.cc	2000-02-18 19:43:13.000000000 +0100
+++ arpack++1.2.patched/examples/product/simple/symsimp.cc	2006-01-26 15:37:47.000000000 +0100
@@ -96,7 +96,7 @@ class SymMatrix {
 template<class FLOAT, class EIGPROB>
 void Solution(SymMatrix<FLOAT> &A, EIGPROB &Prob)
 /*
-  This function prints eigenvalues and eigenvetors on standard "cout" 
+  This function prints eigenvalues and eigenvetors on standard "std::cout" 
   stream and exemplifies how to retrieve information from ARPACK++ classes.
 */
 
@@ -119,21 +119,21 @@ void Solution(SymMatrix<FLOAT> &A, EIGPR
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARSymEig \n";
-  cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARSymEig \n";
+  std::cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3: 
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n             << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev() << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv         << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n             << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev() << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv         << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv() << std::endl;
+  std::cout << std::endl;
 
   /*
     EigenvaluesFound is a boolean function that indicates
@@ -144,11 +144,11 @@ void Solution(SymMatrix<FLOAT> &A, EIGPR
   */
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   /*
@@ -174,10 +174,10 @@ void Solution(SymMatrix<FLOAT> &A, EIGPR
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
diff -rupN arpack++1.2.orig/examples/product/sym/Makefile arpack++1.2.patched/examples/product/sym/Makefile
--- arpack++1.2.orig/examples/product/sym/Makefile	2000-02-18 19:55:22.000000000 +0100
+++ arpack++1.2.patched/examples/product/sym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -39,7 +39,7 @@ symgcayl:	symgcayl.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core symgbklg symgcayl symgreg symgshft symreg symshft
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/product/sym/symgsol.h arpack++1.2.patched/examples/product/sym/symgsol.h
--- arpack++1.2.orig/examples/product/sym/symgsol.h	2000-02-21 20:40:51.000000000 +0100
+++ arpack++1.2.patched/examples/product/sym/symgsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef SYMGSOL_H
 #define SYMGSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "argsym.h"
 
@@ -26,7 +26,7 @@ template<class MATRA, class MATRB, class
 void Solution(MATRA &A, MATRB &B, ARSymGenEig<ARFLOAT, ARFOP, ARFB> &Prob)
 /*
   Prints eigenvalues and eigenvectors of symmetric generalized
-  eigen-problems on standard "cout" stream.
+  eigen-problems on standard "std::cout" stream.
 */
 
 {
@@ -39,39 +39,39 @@ void Solution(MATRA &A, MATRB &B, ARSymG
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARSymGenEig \n";
-  cout << "Real symmetric generalized eigenvalue problem: A*x - lambda*B*x";
-  cout << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARSymGenEig \n";
+  std::cout << "Real symmetric generalized eigenvalue problem: A*x - lambda*B*x";
+  std::cout << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
     break;
   case 4:
-    cout << "Buckling mode" << endl << endl;
+    std::cout << "Buckling mode" << std::endl << std::endl;
     break;
   case 5:
-    cout << "Cayley mode" << endl << endl;
+    std::cout << "Cayley mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -91,10 +91,10 @@ void Solution(MATRA &A, MATRB &B, ARSymG
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*B*x(" << (i+1) << ")||: " << ResNorm[i] << endl;
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*B*x(" << (i+1) << ")||: " << ResNorm[i] << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
 
     delete[] Ax;
     delete[] Bx;
diff -rupN arpack++1.2.orig/examples/product/sym/symsol.h arpack++1.2.patched/examples/product/sym/symsol.h
--- arpack++1.2.orig/examples/product/sym/symsol.h	2000-02-21 20:41:31.000000000 +0100
+++ arpack++1.2.patched/examples/product/sym/symsol.h	2006-01-26 15:37:47.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef SYMSOL_H
 #define SYMSOL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "matprod.h"
 #include "arssym.h"
@@ -27,7 +27,7 @@ template<class ARMATRIX, class ARFLOAT>
 void Solution(ARMATRIX &A, ARSymStdEig<ARFLOAT, ARMATRIX> &Prob)
 /*
   Prints eigenvalues and eigenvectors of symmetric eigen-problems
-  on standard "cout" stream.
+  on standard "std::cout" stream.
 */
 
 {
@@ -40,32 +40,32 @@ void Solution(ARMATRIX &A, ARSymStdEig<A
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARSymStdEig \n";
-  cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARSymStdEig \n";
+  std::cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3: 
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing eigenvalues.
 
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
   if (Prob.EigenvectorsFound()) {
@@ -83,10 +83,10 @@ void Solution(ARMATRIX &A, ARSymStdEig<A
     }
 
     for (i=0; i<nconv; i++) {
-      cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
-      cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
+      std::cout << "||A*x(" << (i+1) << ") - lambda(" << (i+1);
+      std::cout << ")*x(" << (i+1) << ")||: " << ResNorm[i] << "\n";
     }
-    cout << "\n";
+    std::cout << "\n";
 
     delete[] Ax;
     delete[] ResNorm;
diff -rupN arpack++1.2.orig/examples/reverse/complex/Makefile arpack++1.2.patched/examples/reverse/complex/Makefile
--- arpack++1.2.orig/examples/reverse/complex/Makefile	2000-02-18 20:16:37.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/complex/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -37,7 +37,7 @@ rcompgsh:       rcompgsh.o
 
 .PHONY:	clean
 clean:
-	rm -f *.o *~ core
+	rm -f *.o *~ core rcompreg rcompshf rcompgre rcompgsh
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/reverse/complex/rcompgsl.h arpack++1.2.patched/examples/reverse/complex/rcompgsl.h
--- arpack++1.2.orig/examples/reverse/complex/rcompgsl.h	2000-02-22 14:34:53.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/complex/rcompgsl.h	2006-01-26 15:37:46.000000000 +0100
@@ -23,7 +23,7 @@
 template<class ARFLOAT>
 void Solution(ARrcCompGenEig<ARFLOAT> &Prob)
 /*
-  Prints eigenvalues on standard "cout" stream.
+  Prints eigenvalues on standard "std::cout" stream.
 */
 
 {
@@ -34,30 +34,30 @@ void Solution(ARrcCompGenEig<ARFLOAT> &P
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcCompGenEig" << endl;
-  cout << "Complex eigenvalue problem: A*x - B*x*lambda" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcCompGenEig" << std::endl;
+  std::cout << "Complex eigenvalue problem: A*x - B*x*lambda" << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode";
+    std::cout << "Regular mode";
     break;
   case 3:
-    cout << "Shift and invert mode";
+    std::cout << "Shift and invert mode";
   }
-  cout << endl << endl;
+  std::cout << std::endl << std::endl;
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
